

Avoid cpp clash with the new MODULE_VERSION


---

 Documentation/DocBook/procfs_example.c |    6 +++---
 arch/ppc64/kernel/lparcfg.c            |    2 +-
 arch/ppc64/kernel/rtas_flash.c         |    2 +-
 arch/ppc64/kernel/scanlog.c            |    2 +-
 drivers/net/amd8111e.c                 |    6 +++---
 net/bridge/netfilter/ebt_vlan.c        |    6 +++---
 6 files changed, 12 insertions(+), 12 deletions(-)

diff -puN arch/ppc64/kernel/scanlog.c~rename-MODULE_VERSION arch/ppc64/kernel/scanlog.c
--- 25/arch/ppc64/kernel/scanlog.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/scanlog.c	2004-02-21 23:24:30.000000000 -0800
@@ -30,7 +30,7 @@
 #include <asm/prom.h>
 #include <asm/proc_fs.h>
 
-#define MODULE_VERSION "1.0"
+#define MODULE_VERS "1.0"
 #define MODULE_NAME "scanlog"
 
 /* Status returns from ibm,scan-log-dump */
diff -puN arch/ppc64/kernel/rtas_flash.c~rename-MODULE_VERSION arch/ppc64/kernel/rtas_flash.c
--- 25/arch/ppc64/kernel/rtas_flash.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/rtas_flash.c	2004-02-21 23:24:36.000000000 -0800
@@ -20,7 +20,7 @@
 #include <asm/uaccess.h>
 #include <asm/rtas.h>
 
-#define MODULE_VERSION "1.0"
+#define MODULE_VERS "1.0"
 #define MODULE_NAME "rtas_flash"
 
 #define FIRMWARE_FLASH_NAME "firmware_flash"   
diff -puN arch/ppc64/kernel/lparcfg.c~rename-MODULE_VERSION arch/ppc64/kernel/lparcfg.c
--- 25/arch/ppc64/kernel/lparcfg.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/lparcfg.c	2004-02-21 23:24:41.000000000 -0800
@@ -29,7 +29,7 @@
 #include <asm/hvcall.h>
 #include <asm/cputable.h>
 
-#define MODULE_VERSION "1.0"
+#define MODULE_VERS "1.0"
 #define MODULE_NAME "lparcfg"
 
 static struct proc_dir_entry *proc_ppc64_lparcfg;
diff -puN drivers/net/amd8111e.c~rename-MODULE_VERSION drivers/net/amd8111e.c
--- 25/drivers/net/amd8111e.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/drivers/net/amd8111e.c	2004-02-21 23:24:52.000000000 -0800
@@ -91,7 +91,7 @@ Revision History:
 
 #include "amd8111e.h"
 #define MODULE_NAME	"amd8111e"
-#define MODULE_VERSION	"3.0.3"
+#define MODULE_VERS	"3.0.3"
 MODULE_AUTHOR("Advanced Micro Devices, Inc.");
 MODULE_DESCRIPTION ("AMD8111 based 10/100 Ethernet Controller. Driver Version 3.0.3");
 MODULE_LICENSE("GPL");
@@ -1413,7 +1413,7 @@ static int amd8111e_ethtool_ioctl(struct
 	case ETHTOOL_GDRVINFO:{
 		struct ethtool_drvinfo info = { ETHTOOL_GDRVINFO };
 		strcpy (info.driver, MODULE_NAME);
-		strcpy (info.version, MODULE_VERSION);
+		strcpy (info.version, MODULE_VERS);
 		memset(&info.fw_version, 0, sizeof(info.fw_version));
 		sprintf(info.fw_version,"%u",chip_version);
 		strcpy (info.bus_info, pci_name(pci_dev));
@@ -1931,7 +1931,7 @@ static int __devinit amd8111e_probe_one(
 	/*  display driver and device information */
 
     	chip_version = (readl(lp->mmio + CHIPID) & 0xf0000000)>>28;
-    	printk(KERN_INFO "%s: AMD-8111e Driver Version: %s\n",								 dev->name,MODULE_VERSION);
+    	printk(KERN_INFO "%s: AMD-8111e Driver Version: %s\n",								 dev->name,MODULE_VERS);
     	printk(KERN_INFO "%s: [ Rev %x ] PCI 10/100BaseT Ethernet ",							dev->name, chip_version);
     	for (i = 0; i < 6; i++)
 		printk("%2.2x%c",dev->dev_addr[i],i == 5 ? ' ' : ':');
diff -puN net/bridge/netfilter/ebt_vlan.c~rename-MODULE_VERSION net/bridge/netfilter/ebt_vlan.c
--- 25/net/bridge/netfilter/ebt_vlan.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/net/bridge/netfilter/ebt_vlan.c	2004-02-21 23:25:03.000000000 -0800
@@ -25,13 +25,13 @@
 #include <linux/netfilter_bridge/ebt_vlan.h>
 
 static unsigned char debug;
-#define MODULE_VERSION "0.6"
+#define MODULE_VERS "0.6"
 
 MODULE_PARM(debug, "0-1b");
 MODULE_PARM_DESC(debug, "debug=1 is turn on debug messages");
 MODULE_AUTHOR("Nick Fedchik <nick@fedchik.org.ua>");
 MODULE_DESCRIPTION("802.1Q match module (ebtables extension), v"
-		   MODULE_VERSION);
+		   MODULE_VERS);
 MODULE_LICENSE("GPL");
 
 
@@ -179,7 +179,7 @@ static struct ebt_match filter_vlan = {
 static int __init init(void)
 {
 	DEBUG_MSG("ebtables 802.1Q extension module v"
-		  MODULE_VERSION "\n");
+		  MODULE_VERS "\n");
 	DEBUG_MSG("module debug=%d\n", !!debug);
 	return ebt_register_match(&filter_vlan);
 }
diff -puN Documentation/DocBook/procfs_example.c~rename-MODULE_VERSION Documentation/DocBook/procfs_example.c
--- 25/Documentation/DocBook/procfs_example.c~rename-MODULE_VERSION	2004-02-21 23:24:07.000000000 -0800
+++ 25-akpm/Documentation/DocBook/procfs_example.c	2004-02-21 23:25:22.000000000 -0800
@@ -51,7 +51,7 @@
 #include <asm/uaccess.h>
 
 
-#define MODULE_VERSION "1.0"
+#define MODULE_VERS "1.0"
 #define MODULE_NAME "procfs_example"
 
 #define FOOBAR_LEN 8
@@ -185,7 +185,7 @@ static int __init init_procfs_example(vo
 
 	/* everything OK */
 	printk(KERN_INFO "%s %s initialised\n",
-	       MODULE_NAME, MODULE_VERSION);
+	       MODULE_NAME, MODULE_VERS);
 	return 0;
 
 no_symlink:
@@ -213,7 +213,7 @@ static void __exit cleanup_procfs_exampl
 	remove_proc_entry(MODULE_NAME, NULL);
 
 	printk(KERN_INFO "%s %s removed\n",
-	       MODULE_NAME, MODULE_VERSION);
+	       MODULE_NAME, MODULE_VERS);
 }
 
 

_
